메인 콘텐츠로 건너뛰기
이 가이드에서는 리스트 멤버를 조회하는 방법을 설명합니다.
사전 준비 사항시작하기 전에 다음이 필요합니다.

리스트 멤버 가져오기

1

리스트 ID 찾기

리스트를 볼 때 URL에서 리스트 ID를 확인할 수 있습니다:
https://x.com/i/lists/84839422
                      └── 이것이 리스트 ID입니다
2

리스트 멤버 조회 요청 보내기

cURL
curl "https://api.x.com/2/lists/84839422/members?\
user.fields=created_at,username,verified&\
max_results=100" \
  -H "Authorization: Bearer $BEARER_TOKEN"
3

응답 확인하기

{
  "data": [
    {
      "id": "1319036828964454402",
      "name": "Birdwatch",
      "username": "birdwatch",
      "created_at": "2020-10-21T22:04:47.000Z",
      "verified": true
    },
    {
      "id": "1065249714214457345",
      "name": "Spaces",
      "username": "TwitterSpaces",
      "created_at": "2018-11-21T14:24:58.000Z",
      "verified": true
    }
  ],
  "meta": {
    "result_count": 2,
    "next_token": "5349804505549807616"
  }
}

추가 데이터 포함하기

expansions를 사용해 고정된 포스트와 같은 연관 데이터를 함께 가져올 수 있습니다:
cURL
curl "https://api.x.com/2/lists/84839422/members?\
user.fields=created_at&\
expansions=pinned_tweet_id&\
tweet.fields=created_at" \
  -H "Authorization: Bearer $BEARER_TOKEN"

다음 단계

리스트 멤버 관리

멤버 추가 및 제거

리스트 조회

리스트 세부 정보 조회

API 참조 문서

엔드포인트 전체 문서